﻿#!/usr/bin/perl -w
use strict;
use warnings;
use utf8;
use open qw(:std :utf8);


# Filter_5_05_number_divs.pl
# 2010-05-04
# Wolfgang Schmidle

# This Filter is a wrapper for applying div-tags.xsl using the Saxon xslt engine.


# read default parameters

my $filter = "mpdl-workflow-settings.pl";
my $result = `perl $filter`;

my $saxon = ($result =~ m! saxon=([^ ]+) ! ? $1 : "" );
my $stylesheet = ($result =~ m! stylesheet=([^ ]+) ! ? $1 : "" );


# text input

my $file = shift @ARGV;

$result = `java -jar $saxon -s:"$file" -xsl:$stylesheet`;

print $result;
