﻿#!/usr/bin/perl -w
use strict;
use warnings;
use utf8;
use open qw(:std :utf8);
use integer;


# Filter_minimal_xml.pl
# 2010-08-16
# Wolfgang Schmidle

# text input

my @text;
while(<>) { push @text, $_; }


# go through the text

my $inMetadata = 0;

foreach (@text) {

	if (m!metadata:!) { $inMetadata = 1; }
	if ($inMetadata) {
		if (m!^ *$!) { $inMetadata = 0; }
	}
	next if $inMetadata;

	# lösche alle Attribute
	
	s{(<[^ !/>]+) [^/>]+(/?>)}{$1$2}g;
	
	# schließe alle Elemente
	
	s!<pb>!<pb/>!g;
	s!<.(V|R|RV)>!<$1/>!g; 
	s!<\d\d\d>!<unknown/>!g;
}


# geänderten Text ausgeben

print @text;

