﻿#!/usr/bin/perl -w
use strict;
use warnings;
use utf8;
use open qw(:std :utf8);
use integer;


# Filter_3_00_Schummelskript.pl
# 2010-06-30
# Wolfgang Schmidle


# text input

my @text;
while(<>) { push @text, $_; }


# go through the text

my $inText = 0;

foreach (@text) {

	if ($inText == 0) { s!<fr> *\n!!; } # Fraktur Teil 1

	if (/<pb[ >]/) { $inText = 1; }
	next unless $inText;
	
	s!<rom>!!g; # Fraktur Teil 2
	s!</rom>!!g;
	
	s!<col +\d> *\n!!; # Spalten
	s!</col> *\n!!;

	s!<_>!<sub>!g; # italics
	s!</_>!</sub>!g;
	s!_!!g;
	s!<sub>!<_>!g;
	s!</sub>!</_>!g;
	
	s/<!\?>/<!>/g; # Ist das überhaupt geschummelt oder einfach eine Normalisierung?
}


# geänderten Text ausgeben

print @text;
